package it.integry.integrywmsnative.gest.prod_recupero_materiale.ui;

import java.math.BigDecimal;

import it.integry.integrywmsnative.gest.prod_recupero_materiale.dto.HistoryVersamentoProdULDTO;

public class HistoryULsListModel {

    private String groupTitle;

    private int numCollo;
    private String codMart;
    private String descrizione;
    private String partitaMag;

    private BigDecimal qtaVersata;
    private String untMisVersata;

    private HistoryVersamentoProdULDTO originalModel;

    public String getGroupTitle() {
        return groupTitle;
    }

    public HistoryULsListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public int getNumCollo() {
        return numCollo;
    }

    public HistoryULsListModel setNumCollo(int numCollo) {
        this.numCollo = numCollo;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public HistoryULsListModel setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public HistoryULsListModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public HistoryULsListModel setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public BigDecimal getQtaVersata() {
        return qtaVersata;
    }

    public HistoryULsListModel setQtaVersata(BigDecimal qtaVersata) {
        this.qtaVersata = qtaVersata;
        return this;
    }

    public String getUntMisVersata() {
        return untMisVersata;
    }

    public HistoryULsListModel setUntMisVersata(String untMisVersata) {
        this.untMisVersata = untMisVersata;
        return this;
    }

    public HistoryVersamentoProdULDTO getOriginalModel() {
        return originalModel;
    }

    public HistoryULsListModel setOriginalModel(HistoryVersamentoProdULDTO originalModel) {
        this.originalModel = originalModel;
        return this;
    }
}
